# $Revision: 1.19 $, $Date: 2009/10/16 10:12:27 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
Summary:	Perltidy - a tool to indent and reformat Perl scripts
Summary(pl.UTF-8):	Perltidy - narzędzie do reformatowania skryptów Perla
Name:		perltidy
Version:	20090616
Release:	1
License:	GPL
Group:		Development/Tools
Source0:	http://dl.sourceforge.net/perltidy/Perl-Tidy-%{version}.tar.gz
# Source0-md5:	63baa94a96fc5c272e06e72e589e7673
URL:		http://perltidy.sourceforge.net/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Perltidy reads a Perl script and writes an indented, reformatted
script.

%description -l pl.UTF-8
Perltidy odczytuje skrypt Perla i zapisuje go w postaci
zreformatowanej, z wcięciami.

%prep
%setup -q -n Perl-Tidy-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

gzip -9nf examples/README
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS CHANGES README TODO
%{perl_vendorlib}/Perl
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man[13]/*
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/[Rlt]*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}/*.pl

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perltidy.spec,v $
Revision 1.19  2009/10/16 10:12:27  amateja
- updated to 20090616

Revision 1.18  2008/01/08 16:56:11  qboosh
- updated md5

Revision 1.17  2008-01-08 09:55:39  agaran
- up to 20071205, rel 1, builds here

Revision 1.16  2007-05-06 16:39:06  adamg
- updated to 20070504 (from Adam Skucinski <askucins (at) gmail.com>)

Revision 1.15  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:23  baggins
- converted to UTF-8

Revision 1.13  2004/04/10 23:04:43  qboosh
- perl epoch

Revision 1.12  2003/11/01 01:22:33  qboosh
- updated to 20031021, new-style bcond

Revision 1.11  2003/08/23 12:45:27  radek
- version 20030726

Revision 1.10  2003/05/28 13:01:14  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:25:14  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/23 09:56:22  radek
- updated for perl-5.8.0
- BR: perl-devel,  BuildArch: noarch
- release 2

Revision 1.7  2003/03/10 13:53:43  qboosh
- working Source URL

Revision 1.6  2003/02/24 20:32:00  radek
- use the __perl macro

Revision 1.5  2003/01/26 11:42:09  radek
- version 20021130
- made tests conditional

Revision 1.4  2002/07/19 00:18:02  ankry
- cleaning
- added %%{perl_sitelib}/Perl
- new %%doc
- added %%{_examplesdir}
- release 3

Revision 1.3  2002/03/20 08:48:06  qboosh
- typo, pl description, release 2

Revision 1.2  2002/03/19 21:07:57  kloczek
- adapterized,
- removed COPYING INSTALL from %%doc,
- removed %doc from man paged (man pages are marked as %%doc automatically),
- cosmetics.

Revision 1.1  2002/03/19 18:45:50  depesz
new package, STBR
